export declare class Popup {
    features: any[];
    popup?: any;
    popupTimeout: number;
    el: HTMLGlPopupElement;
    clickEventDelay: number;
    closeKey: number;
    component: string;
    componentOptions: any;
    layers: string[] | string;
    handleFeatureClick(e: CustomEvent): void;
    handleKeyup(e: any): void;
    isOpen(): Promise<any>;
    removePopup(): Promise<void>;
    openPopup(features: any[]): void;
}
